close all; clear; %clc;

dataPath = './Data/';
load(fullfile(dataPath,'baseSM12.mat'));
% load(fullfile(dataPath,'baseSM12_WeightedByVariance.mat'));

[dataNum,attributeNum] = size(baseSM12);

SM12 = baseSM12;
SM11 = zeros(dataNum);
SM22 = zeros(attributeNum);
W = [SM11,SM12;SM12.',SM22];
aoNum = size(W,1);
iM = eye(aoNum);

nW = W ./ repmat(sum(W,2),1,aoNum);

tList = 1:2:9;
tNum = numel(tList);

Feature_RandomWalk = cell(tNum,1);

maxT = max(tList);
tmpA = iM * 0;
previousFeature = [];
tIdx = 0;
for i = 1:maxT
%     tmpA = tmpA * nW;
    tmpA = tmpA * nW + nW;
    if sum(tList == i) == 1
        thisFeature = [previousFeature,tmpA(1:dataNum,dataNum+1:end)];
        tIdx = tIdx + 1;
        Feature_RandomWalk{tIdx} = thisFeature;
        previousFeature = thisFeature;
    end
end

save(fullfile(dataPath,'Feature_RandomWalk.mat'),'Feature_RandomWalk');