close all; clear; %clc;

addpath('..');
dataPath = './Data/';
load(fullfile(dataPath,'ClassList.mat'));
load(fullfile(dataPath,'Affinity_VNK.mat'));

k = 4;
testNum = 500;

[sfAddonNum,tNum] = size(Affinity_VNK);

clResult = zeros(sfAddonNum,tNum);
kmResult = zeros(sfAddonNum,tNum);

dataNum = numel(ClassList);
MissingDataInd = zeros(dataNum,1) > 0;

for i = 1:sfAddonNum
    for j = 1:tNum
        thisAffinityMatrix = Affinity_VNK{i,j};
%         [clClusterList] = Clustering_Agglomerative_ProcessMissingDataAndOutliers...
%             (thisAffinityMatrix,k,MissingDataInd,0);
        thisDistanceVector = stod(thisAffinityMatrix);
        Z = linkage(thisDistanceVector,'complete');
        clClusterList = cluster(Z,'maxclust',k);
        clResult(i,j) = ComputeFScore(clClusterList, ClassList);
%         thisKMResult = zeros(testNum,1);
%         for testIdx = 1:testNum
%             [kmClusterList,dpsim] = kmedoids(thisAffinityMatrix,k,1,100);
%             thisKMResult(testIdx) = ComputeFScore(kmClusterList, ClassList);
%         end
%         kmResult(i,j) = mean(thisKMResult);
    end    
end
% save(fullfile(dataPath,'Result_Affinity_VNK.mat'),'clResult','kmResult');
